Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.content
Class RevisionContentNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.slide.common.SlideException
                  org.apache.slide.content.ContentException
                      org.apache.slide.content.RevisionContentNotFoundException

All Implemented Interfaces:
  java.io.Serializable

public class RevisionContentNotFoundException
extends ContentException

Revision content not found.

Version:
  $Revision: 1.7 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`RevisionContentNotFoundException(java.lang.String objectUri, NodeRevisionNumber number)` Constructor.

Method Summary
`NodeRevisionNumber` | `getNumber()` Revision number accessor.
`java.lang.String` | `getObjectUri()` Object Uri accessor.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RevisionContentNotFoundException

    public RevisionContentNotFoundException(java.lang.String objectUri,
                                            NodeRevisionNumber number)

  Constructor.

Parameters:
  `objectUri` - Uri of the object
  `number` - The number of the revision

Method Detail

### getObjectUri

    public java.lang.String getObjectUri()

  Object Uri accessor.

  Returns:
    String object Uri

### getNumber

    public NodeRevisionNumber getNumber()

  Revision number accessor.

  Returns:
    NodeRevisionNumber

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD